package pickstatistics;

import jahuwaldt.plot.Plot2D;
import jahuwaldt.plot.PlotPanel;
import jahuwaldt.plot.PlotWindow;
import jahuwaldt.plot.SimplePlotXY;
import java.awt.Color;
import javax.swing.WindowConstants;

public class PickStatistics extends javax.swing.JFrame {

    public PickStatistics() {
        initComponents();
        StationTable.setAutoCreateRowSorter(true);
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        StationTable = new javax.swing.JTable();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        StationTable.setModel(Main.getTableModel());
        StationTable.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                StationTableMouseClicked(evt);
            }
        });
        jScrollPane1.setViewportView(StationTable);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 340, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 589, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void StationTableMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_StationTableMouseClicked
        if (evt.getClickCount() == 2) {
            //Show graphic
            int pickerIndex = StationTable.convertRowIndexToModel(StationTable.getSelectedRow());

            int[] pickHistory = Main.pickers.elementAt(pickerIndex).pickEvolution(3600000);

            double[] x = new double[pickHistory.length];
            double[] y = new double[pickHistory.length];
            for (int i = 0; i < pickHistory.length; i++) {
                x[i] = (double) i / 24;
                y[i] = (double) pickHistory[i];
            }
            Plot2D aPlot = new SimplePlotXY(x,
                    y,
                    Main.pickers.elementAt(pickerIndex).Station + " " + Main.pickers.elementAt(pickerIndex).Channel,
                    "Time [days]",
                    "Pick Count per Hour",
                    null,
                    null);
            PlotPanel panel = new PlotPanel(aPlot);
            panel.setBackground(Color.white);


            PlotWindow window = new PlotWindow("", panel);
            window.setSize(500, 300);
            window.setLocation(50, 50);
            window.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
            window.setVisible(true);
        }
    }//GEN-LAST:event_StationTableMouseClicked

    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTable StationTable;
    private javax.swing.JScrollPane jScrollPane1;
    // End of variables declaration//GEN-END:variables
}
