package pickstatistics;

import javax.swing.table.AbstractTableModel;

public class PickersTableModel extends AbstractTableModel {

    private String[] columnNames;
    private Object[][] data;

    PickersTableModel(Object[][] data, String[] columnames) {
        this.columnNames = columnames;
        this.data = data;
    }

    public int getColumnCount() {
        return columnNames.length;
    }

    public int getRowCount() {
        return data.length;
    }

    public String getColumnName(int col) {
        return columnNames[col];
    }

    public Object getValueAt(int row, int col) {
        return data[row][col];
    }

    public Class getColumnClass(int c) {
        return getValueAt(0, c).getClass();
    }

    public boolean isCellEditable(int row, int col) {
        return false;
    }

    public void setValueAt(Object value, int row, int col) {
        data[row][col] = value;
        fireTableCellUpdated(row, col);
    }
}

